Project generator issue

I wanted to test OF 0.11 on installation everything look good but i cant create projects with project generator i get this issue
Command failed: /bin/sh -c “projectGenerator” -o"/home/jacos/OF" -a"ofxCv,ofxOpenCv" -p"linux64" “/home/jacos/OF/apps/myApps/test”
projectGenerator: error while loading shared libraries: libIlmImf-2_4.so.24: cannot open shared object file: No such file or directory

also can’t compile anything missing libraries
./OSI_SENDAI: error while loading shared libraries: libboost_filesystem.so.1.69.0: cannot open shared object file: No such file or directory

did you follow the linux setup instructions here:
https://openframeworks.cc/setup/linux-install/

I think you are missing the compilePG and install_dependcies steps maybe?

yup i did that it went ok but when i try to create a project i get that error and if i try to run a old project that was allready compiled i get the other one

Are you doing this from Github or the packaged releases at: https://openframeworks.cc/download ?

nope, i got the zip file from the download page should i get the knightly vs instead?

Hmm.
Could you post for details of your system. OS, version, 32/64bit etc?
Are you using the gcc6 or gcc5 version?

I can test on my system, but it should be working.

sure, OS: Manjaro Linux x86_64 , gcc6 version do you need anything else?, OF was working before when i got the zip , i run the scripts from /linux/arch/ and then both ./compiles no error but i go this packages upgraded those are the only ones
[2019-12-02 11:37] [ALPM] upgraded mpg123 (1.25.11-1 -> 1.25.13-1)
[2019-12-02 11:37] [ALPM] upgraded gst-plugins-ugly (1.16.0-1 -> 1.16.1-2)
[2019-12-02 11:38] [ALPM] upgraded gcc-libs (9.1.0-2 -> 9.2.0-4)
[2019-12-02 11:38] [ALPM] upgraded pkgconf (1.6.3-1 -> 1.6.3-2)
[2019-12-02 11:38] [ALPM] upgraded gcc (9.1.0-2 -> 9.2.0-4)
[2019-12-02 11:38] [ALPM] upgraded curl (7.65.3-1 -> 7.67.0-3)
[2019-12-02 11:38] [ALPM] upgraded freeglut (3.0.0-2 -> 3.2.1-1)
[2019-12-02 11:38] [ALPM] upgraded freeimage (3.18.0-2 -> 3.18.0-3)
[2019-12-02 11:38] [ALPM] upgraded gstreamer (1.16.0-2 -> 1.16.1-1)
[2019-12-02 11:38] [ALPM] upgraded gst-plugins-base-libs (1.16.0-3 -> 1.16.1-1)
[2019-12-02 11:38] [ALPM] upgraded gst-plugins-base (1.16.0-3 -> 1.16.1-1)
[2019-12-02 11:38] [ALPM] upgraded gst-plugins-good (1.16.0-1 -> 1.16.1-1)
[2019-12-02 11:38] [ALPM] upgraded gst-plugins-bad (1.16.0-5 -> 1.16.1-4)
[2019-12-02 11:38] [ALPM] upgraded gst-libav (1.16.0-1 -> 1.16.1-1)
[2019-12-02 11:38] [ALPM] upgraded opencv (4.1.1-1 -> 4.1.2-2)
[2019-12-02 11:38] [ALPM] upgraded boost-libs (1.69.0-2 -> 1.71.0-2)
[2019-12-02 11:38] [ALPM] upgraded assimp (4.1.0-1 -> 5.0.0-1)
[2019-12-02 11:38] [ALPM] upgraded boost (1.69.0-2 -> 1.71.0-2)
[2019-12-02 11:38] [ALPM] upgraded pugixml (1.9-1 -> 1.10-1)

can you try from the root folder of OF:

make clean -C libs/openFrameworksCompiled/project

then run the compilePG.sh script again?

done but i get same error

Command failed: /bin/sh -c “projectGenerator” -o"/home/jacos/OF" -a" " -p"linux64" “/home/jacos/OF/apps/myApps/mySketch”
projectGenerator: error while loading shared libraries: libIlmImf-2_4.so.24: cannot open shared object file: No such file or directory

I been looking for this file libIlmImf-2_4.so, but only can find 2_3 so i try to figure out from where this lib comes and it seems it is from openexr 2.3.0-1.1
if i try to install : openexr and ilmbase are in conflict. Remove ilmbase? [y/N]
i did that and it fixed the old OF so the new OF did something to that lib and created a conflict?

Let me know if you find a solution that works for the current OF ( 0.11.0 ) with your setup.
On Ubuntu 18 I don’t have any issues with 0.11.0.

I wonder if it is due to different OpenCV versions?

might be OpenCv, i’ll try again tonight after a backup …
sometimes i’m really scared of upgrading things under manjaro jajajajajaja

Thinking about this more.
Wondering if this is an issue with just ofxOpenCV.

Are you able to build and run any of the examples in examples/graphics/ with make on the command line?
Like examples/graphics/polygonExample?

If that works fine does examples/computer_vision/opencvExample work with make ?

I just try that, both examples work
but the project generator keeps given me the same error when trying to generate